****** Quick Update on the Interview Result ************ I was not selected to proceed to second round, and the reason was that my coding skills were not up to the standard they were expecting. Also, I took long time to explain and solve first interview question. That caused a time crunch for the second question. I will be spending more time on improving my coding and leetcoding skills, so I can do well in future interviews. This was a good learning experience, I am disappointed, but this is not the end. I will continue to fight. NOT STOPPING TILL WE CLEAR A FAANG INTERVIEW ........!!!!!!!!!
@hareeshveduraj29162 жыл бұрын
Just came across your channel and really impressed by your motivation. I wish you continue creating the videos and land on your dream company soon..:)
@DestinationFAANG2 жыл бұрын
Thanks for the kind words. I will continue my work, hope to clear FAANG interviews soon...!!!!
@columbiars2 жыл бұрын
I know you will make it (and I will make it too). But when that happens, don't stop posting videos! You are great.
@DestinationFAANG2 жыл бұрын
Thanks for the kind words. Yes we both will make it. That is for sure. Once that is done, I will still make the videos, I will change the intro line. 😂😂
@vivekshaw20952 жыл бұрын
the questions were bit on the easy side. but you my guy you are a hero, such dedication. hats off.. man
@DestinationFAANG2 жыл бұрын
Thanks bro. But I am not a hero, I am just a guy trying to get into a better company. Thanks 🙏
@RiyaSingh-nj1fx2 жыл бұрын
Hey for 2nd question we can make hashmap out of array and also keep a variable that stores minimum value. Now we iterate over hashmap until a key is not found and while iterating we do 2 things 1. Updating (key, value) into array and 2. Updating next value into temp variable = value of current key
@DestinationFAANG2 жыл бұрын
I see, this should work as expected, and this would actually be a better approach. I should have though about this one. Thanks for the tip...!!!
@RiyaSingh-nj1fx2 жыл бұрын
@@DestinationFAANG welcome...am a big fan of yours keep up the good work....
@DestinationFAANG2 жыл бұрын
Thanks for the support. I will continue to solve lc problems. 👍🏻👍🏻
@depression_plusplus61202 жыл бұрын
Much awaited video
@DestinationFAANG2 жыл бұрын
Thanks 😊
@mohankumar507211 ай бұрын
For second problem if you use treemap better approach i guess
@depression_plusplus61202 жыл бұрын
You do not suck at coding, sir. It's just that you got nervous during interview. Since as you say, it was your first full DSA based interview
@DestinationFAANG2 жыл бұрын
Thanks for the kind words, but I still have to work on my coding skills. For the future interviews.
@depression_plusplus61202 жыл бұрын
@@DestinationFAANG next up , Amazon 🔥🔥🔥🔥
@DestinationFAANG2 жыл бұрын
I will prepare some more and then will give Amazon...
@anshukumari62264 ай бұрын
Thanks for sharing the experience !
@DestinationFAANG4 ай бұрын
Happy to help.
@satish901852 жыл бұрын
Thanks for your Video. How long it took for the coder pad interview round result ?
@DestinationFAANG2 жыл бұрын
2 days. Thanks
@satish901852 жыл бұрын
@@DestinationFAANG Thanks for the response
@anjaliverma9053 ай бұрын
Really helpful video. I want to apply for automation tester position with 3 years of experience. Do u have idea like how many rounds will be there n those stuffs. If so please do reply 😊
@DestinationFAANG3 ай бұрын
Not sure. But good luck though.
@poharry2634Ай бұрын
Guys, Is it enough to go through leetcode interview questions to clear the coderpad round?
@DestinationFAANGАй бұрын
In most cases yes
@vivekpatel82172 ай бұрын
1st question was same for me
@DestinationFAANG2 ай бұрын
Lol. They haven’t changed. Mine was almost 3 years ago. 😂
@depression_plusplus61202 жыл бұрын
Sir, that second question seems very similar to the question, longest consecutive sequence, they just made it in intervals type. I'm just curious, if it had been, thay the ending point not necessarily be the starting point of something else. Wouldn't we need binary search to find the next starting element after the current element. Because otherwise it's gonna take n time to search. What are your views on that
@DestinationFAANG2 жыл бұрын
With Binary search- finding the next interval will take "logn" time, but we will have to repeat it for all the intervals, so the total time complexity becomes "nLogn". Meanwhile, with my approach, we can solve it in O(n) time.
@depression_plusplus61202 жыл бұрын
@@DestinationFAANG yeah that I can agree on, but as I said, if the intervals had been not like that. If the condition saying start of an interval is the end of another interval was not there, then we would have used binary search right???
@DestinationFAANG2 жыл бұрын
Yes, in that case we could use Binary search.
@MilindGupta2 жыл бұрын
Hey buddy the problem is how to clear the coding rounds like it's too hard Can you give some tips on how to clear it as it the first step before reaching the interview process
@DestinationFAANG2 жыл бұрын
Yup, that can be a real hurdle sometimes. Just keep on practicing I guess.
@tirupatirao75212 жыл бұрын
bro in telephonic how they can understood our approach and codeing part??
@DestinationFAANG2 жыл бұрын
For coding part, you do it in coderpad. For explanation if you go through your thought process, typically the interviewer will be able to understand it.
@depression_plusplus61202 жыл бұрын
During the search for finding the first element in second question. If we iterate over the built hashmap and check if the start has no end value then this is definitely going to be the start value for the series Will this work?..
@DestinationFAANG2 жыл бұрын
The first start value of an interval has a unique property, that it is not part of any end-value, of some other interval. In the hashMap we are storing 2 items as key-value pairs (Start value as KEY & End value as VALUE). Now our aim is to find a KEY (start value), that is not a VALUE (end value) of some other KEY in the hashMap. So, for every single key in the hash Map has the potential to be a "start value" of the output. Which means, that for every single KEY we might have to iterate over all the remaining (KEY-VALUE) pairs to see if the current KEY, is not the VALUE of some other KEY. This could take O(n*n) work. If we only try to find it in HASH MAP. Because we can access KEY in constant time in the HashMap, but not the VALUE..... Hope this explanation makes sense.
@depression_plusplus61202 жыл бұрын
I meant unordered_map mpp; // insert every interval in mpp int startInt; for(auto m: mpp){ //iterate in mpp if(mpp.find(m.first)==mpp.end()){ /* if start is not found as value in hashmap, then this is the value is the first interval */ startInt=m.first; break; } }
@DestinationFAANG2 жыл бұрын
Ok, so this is the approach you are suggesting? before adding a current interval's start and end point, in the hashMap, we check if the current "start point" of the interval we are about to add, if that exist as the "VALUE (end point of some other already added intervals)" in the hashMap? If it exist, then the current interval is not first interval for the output. Correct?
@depression_plusplus61202 жыл бұрын
@@DestinationFAANG Oh sorry sir. I just realised my approach would never work. 🥲... Sorry for all the inconvenience I caused, dumb me just realised this after you restated my approach. Thanks a lot sir🔥🔥🔥
@DestinationFAANG2 жыл бұрын
No need to be sorry. This kinds of discussion is what FAANG companies ask for...
@vikneshcs48246 ай бұрын
Whts the second question on leetcode
@DestinationFAANG6 ай бұрын
Not sure
@depression_plusplus61202 жыл бұрын
Sir, kindly post the link of the leetcode question you faced similar to the interview. Thank you sir🙂🙂🔥🔥
@DestinationFAANG2 жыл бұрын
Good Idea. I will post leetcode links in description. Btw, I have posted the yt links of questions that I solved already. Check out description.